org.apache.sling.provisioning.model

## Class ModelUtility.ResolverOptions

- java.lang.Object
- - org.apache.sling.provisioning.model.ModelUtility.ResolverOptions

Enclosing class:
  ModelUtility

    public static final class ModelUtility.ResolverOptions
    extends Object

Parameter builder class for `ModelUtility.getEffectiveModel(Model, ResolverOptions)` method.

### Constructor Summary

Constructors
Constructor and Description
`ResolverOptions()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ModelUtility.ResolverOptions` `artifactVersionResolver(ModelUtility.ArtifactVersionResolver dependencyVersionResolver)`
`ModelUtility.ArtifactVersionResolver` `getArtifactVersionResolver()`
`ModelUtility.VariableResolver` `getVariableResolver()`
`ModelUtility.ResolverOptions` `variableResolver(ModelUtility.VariableResolver variableResolver)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResolverOptions

    public ResolverOptions()

### Method Detail

#### getVariableResolver

    public ModelUtility.VariableResolver getVariableResolver()

#### variableResolver

    public ModelUtility.ResolverOptions variableResolver(ModelUtility.VariableResolver variableResolver)

#### getArtifactVersionResolver

    public ModelUtility.ArtifactVersionResolver getArtifactVersionResolver()

#### artifactVersionResolver

    public ModelUtility.ResolverOptions artifactVersionResolver(ModelUtility.ArtifactVersionResolver dependencyVersionResolver)